%define snapshot  20080709

Name:           LiVES
Version:        0.9.9.1
Release:        1%{?dist}
Summary:        Linux Video Editing System

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://lives.sourceforge.net
Source0:        http://www.xs4all.nl/%7Esalsaman/lives/current/LiVES-%{version}.tar.bz2
Patch0:         LiVES-0.9.9.1-lib64.patch
Patch1:         LiVES-0.9.9.1-datadir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils

BuildRequires: python-devel
BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: gdk-pixbuf-devel
BuildRequires: freetype-devel >= 2.0
BuildRequires: SDL-devel
BuildRequires: pango-devel
BuildRequires: aalib-devel
BuildRequires: dvgrab
BuildRequires: bison
BuildRequires: libvisual-devel >= 0.2.0
BuildRequires: slang-devel
BuildRequires: atk-devel
BuildRequires: jack-audio-connection-kit-devel >= 0.100
BuildRequires: ImageMagick
BuildRequires: mjpegtools-devel
BuildRequires: ffmpeg-devel
BuildRequires: alsa-lib-devel
BuildRequires: libraw1394-devel
BuildRequires: libavc1394-devel
BuildRequires: perl
BuildRequires: liboil-devel
BuildRequires: frei0r-devel

Requires: mplayer
Requires: sox
Requires: ImageMagick
Requires: cdrecord
Requires: cdda2wav
Requires: ffmpeg
Requires: mjpegtools
Requires: dvgrab
Requires: mencoder
Requires: perl
Requires: frei0r-plugins
#Requires: xmms

Provides: lives = %{version}-%{release}
Obsoletes: lives < %{version}-%{release}

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).


%package -n libweed
Summary:        Libraries for libweed
Group:          System Environment/Libraries

%description -n libweed
The libweed package contains shared libraries for libweed.

%package -n libweed-devel
Summary:        Development files for libweed
Group:          Development/Libraries
Requires:       libweed = %{version}-%{release}

%description -n libweed-devel
The libweed-devel package contains libraries and header files for
developing applications that use libweed.


%prep
%setup -q -n lives-%{version}
%if %{?_lib} == "lib64"
%patch0 -p1 -b .lib64
%endif
%patch1 -p1 -b .datadir

autoconf

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'


desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --remove-category=Application \
  --remove-category=Multimedia-Video \
  --mode 644 \
  $RPM_BUILD_ROOT%{_datadir}/applications/LiVES.desktop

%find_lang lives


%clean
rm -rf $RPM_BUILD_ROOT

%post -n libweed -p /sbin/ldconfig

%postun -n libweed -p /sbin/ldconfig


%files -f lives.lang
%defattr(-,root,root,-)
%doc %{_docdir}/lives-%{version}/*
%exclude %{_bindir}/*.py?
%{_bindir}/*
%{_libdir}/lives/
%{_datadir}/lives/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/lives.xpm

%files -n libweed
%defattr(-,root,root,-)
%{_libdir}/libweed*.so.*

%files -n libweed-devel
%defattr(-,root,root,-)
%{_includedir}/weed/
%{_libdir}/libweed*.so

%changelog
* Tue Jul 22 2008 kwizart < kwizart at gmail.com > - 0.9.9.1-1
- Update to 0.9.9.1
- Add lib64 patch for frei0r-plugin

* Tue Jul  1 2008 kwizart < kwizart at gmail.com >  - 0.9.8.13-0.2.pre
- Update to 0.9.8.13-pre

* Thu Jun 12 2008 kwizart < kwizart at gmail.com >  - 0.9.8.13-0.1.snap20080612
- Update to cvs snapshot 20080616

* Thu Jun  5 2008 kwizart < kwizart at gmail.com >  - 0.9.8.12-1
- Update to 0.9.8.12

* Wed May  7 2008 kwizart < kwizart at gmail.com >  - 0.9.8.10-1
- Update to 0.9.8.10

* Fri Dec  7 2007 kwizart < kwizart at gmail.com >  - 0.9.8.6-1
- Initial Package for Fedora at rpm.livna.org

* Sun Mar 18 2007 D. Scott Barninger <barninger@fairfieldcomputers.com>
- add missing gtk2 requirement, set min version 2.8
- add perl and mencoder requirements
- add _vendor logic for platform selection
* Sat Jan 13 2007 D. Scott Barninger <barninger@fairfieldcomputers.com>
- add jack and iee1394 support 
* Sat Jul 29 2006 D. Scott Barninger <barninger@fairfieldcomputers.com>
- add mandriva build
* Mon Jul 24 2006 D. Scott Barninger <barninger@fairfieldcomputers.com>
- 0.9.6 release 2 with append_clips.patch
* Sun Jul 23 2006 D. Scott Barninger <barninger@fairfieldcomputers.com>
- 0.9.6 final release
* Sun Apr 23 2006 D. Scott Barninger <barninger@fairfieldcomputers.com>
- 0.9.6-pre3 release
* Sat Jan 28 2006 D. Scott Barninger <barninger@fairfieldcomputers.com>
- 0.9.5 final release
- remove _name as no longer packaged as LiVES
* Sat Mar 26 2005 D. Scott Barninger <barninger@fairfieldcomputers.com>
- 0.9.5
- add _prerelease tag
- remove unused icons
* Sun Jan 23 2005 D. Scott Barninger <barninger@fairfieldcomputers.com>
- fix desktop entry
- add fedora core build
* Sun Jan 16 2005 D. Scott Barninger <barninger@fairfieldcomputers.com>
- modify for SuSE

